/*************************************************************************/
/*************************************************************************/
/* H. Timucin OZDEMIR                                                    */
/* Date : February, 1997                                                 */
/* File Name : JSSPCrossover.h                                           */
/*************************************************************************/
/*************************************************************************/

#ifndef _JSSPCrossover_h
#define _JSSPCrossover_h

#include <CrossOverOperation.h>
#include <Chromosomes.h>
#include <ChromosomesBag.h>


class JSSPCrossover : public CrossOverOperation
{
   public :
      JSSPCrossover();
      virtual ~JSSPCrossover();
      virtual ChromosomesBag apply(Chromosomes*,Chromosomes*);

      void debugOn();
      void debugOff();

   private:
      int debug;
};// end of Class JSSPCrossover

#endif
